Qwt User's Guide 6.1.3

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
QwtIntervalSample Class Reference

A sample of the types (x1-x2, y) or (x, y1-y2) More...

`#include <qwt_samples.h>`

## Public Member Functions
| QwtIntervalSample ()
| QwtIntervalSample (double, const QwtInterval &)
| Constructor.
| QwtIntervalSample (double value, double min, double max)
| Constructor.
bool | operator== (const QwtIntervalSample &) const
| Compare operator.
bool | operator!= (const QwtIntervalSample &) const
| Compare operator.

## Public Attributes
double | value
| Value.
QwtInterval | interval
| Interval.

## Detailed Description

A sample of the types (x1-x2, y) or (x, y1-y2)

## Constructor & Destructor Documentation

QwtIntervalSample::QwtIntervalSample | ( |  | ) |
| inline

Constructor The value is set to 0.0, the interval is invalid